Subject: Price Match Request
From: m b <[email-masked]>
To: <[email-masked]>
Date: Sun, 5 Oct 2025 00:00:49 +0000 (UTC)

Hi,

I ordered a pink round Casablanca Medallion Cotton Tufted Bath Rug from Designerliving.com on September 30, 2025, for $27.99.

Here is the product link: Casablanca Medallion Cotton Tufted Bath Rug

I noticed that the same item is available on Amazon for $18.08. I’ve included the Amazon link and a screenshot for your reference.

I’d appreciate it if you could review this and issue a price match for my order.

Please let me know if you need any additional information.

Best regards,

Mahshid Bagheri

Amazon.com: Madison Park Casablanca 100% Cotton Tufted Bathroom Rugs Luxurious Plush Medallion Floral Pattern Bath Mat Absorbent, Quick Dry, Spa Design Shower Room Décor, Round 25, Pink : Home & Kitchen 
  
|  
|   
|   
|   |    |

   |

  |
|  
|   |  
Amazon.com: Madison Park Casablanca 100% Cotton Tufted Bathroom Rugs Luxurious Plush Medallion Floral Pattern Bath Mat Absorbent, Quick Dry, Spa Design Shower Room Décor, Round 25, Pink : Home &#38; Kitchen
 
Buy Madison Park Casablanca 100% Cotton Tufted Bathroom Rugs Luxurious Plush Medallion Floral Pattern Bath Mat Absorbent, Quick Dry, Spa Design Shower Room Décor, Round 25, Pink: Bath Rugs - Amazon.com ✓ FREE DELIVERY possible on eligible purchases
  |   |

  |

  |